ARTSPPINC = -I@artspp@/include
ARTSPPLIB = -L@artspp@/lib -lArts
SNMPPINC  = -I../../snmp++/classes/include
SNMPPPLIB = ../../snmp++/classes/lib/libsnmp++.la
CFDINC    = -I../../classes/include -I../../include -I.
CFDLIB    = ../../classes/lib/libCfd.la
CXX       = @CXX@
CXXFLAGS  = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: flowwatch

flowwatch: flowwatch.o ${CFDLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} flowwatch.o ${CFDLIB} ${ARTSPPLIB} \
	  ${SNMPPPLIB} @FLEXLIB@ @LIBS@ -o flowwatch -rpath @artspp@/lib

flowwatch.o: flowwatch.cc
	${CXX} ${CXXFLAGS} -c flowwatch.cc ${CFDINC} ${ARTSPPINC} ${SNMPPINC}

strip: flowwatch
	@ -if [ -f .libs/flowwatch ]; then \
	  strip .libs/flowwatch ; \
	else \
	  strip flowwatch ; \
	fi

clean::
	rm -f *.o flowwatch
	rm -Rf .libs

install: all
	${LIBTOOL} ../../install-sh -c -m 555 flowwatch @bindir@/flowwatch
	../../install-sh -c -m 444 flowwatch.man @mandir@/manl/flowwatch.l

tarball::
	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/flowwatch
	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/flowwatch.l


